Bug 22178 - Build errors in WebKit Cairo port.
Summary: Build errors in WebKit Cairo port.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Windows XP
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-11-11 09:33 PST by Mital Vora
Modified: 2008-12-14 22:03 PST (History)
1 user (show)

See Also:


Attachments
Small patch to work around MSVC-specific build error. (1.33 KB, patch)
2008-11-11 21:43 PST, Brent Fulgham
mrowe: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mital Vora 2008-11-11 09:33:51 PST
There are build errors in WebKit cairo port. Trunk version for both the Debug_cairo as well as Release_cairo are not compiling.
Comment 1 Brent Fulgham 2008-11-11 21:43:41 PST
Created attachment 25085 [details]
Small patch to work around MSVC-specific build error.

Small patch to work around a compiler error in MSVC.  The return value of the patternTransform.inverse () call can't be chained into the reinterpret_cast under MSVC.  It generates a warning, but since the MSVC error level is set to make all warnings errors, the build fails.
Comment 2 Brent Fulgham 2008-11-11 22:39:28 PST
Some additional information:  The original form of this code was
const cairo_matrix_t* pattern_matrix
 = reinterpret_cast<const cairo_matrix_t*>(&patternTransform.inverse());

Visual Studio (2005 release) spits out a warning with this form:
C4238:  nonstandard extension used : class rvalue used as lvalue

See http://msdn.microsoft.com/en-us/library/7zyb9yb4(VS.80).aspx for some discussion.

This may work properly in future releases of MSVC, but the attached change is simple, and works on multiple compilers.  By simply binding the return value of the call to inverse to a const reference, the compiler sees what we want to do and stops complaining.

const AffineTransform& inverse = patternTransform.inverse();
const cairo_matrix_t* pattern_matrix = reinterpret_cast<const cairo_matrix_t*>(&inverse);

Comment 3 Adam Roben (:aroben) 2008-11-12 13:55:02 PST
Committed in r38343
Comment 4 Mital Vora 2008-11-15 03:05:56 PST
The Cairo build is still not compiling I am getting errors:

7>SVGPaintServerPatternCg.cpp
7>..\svg\graphics\cg\SVGPaintServerPatternCg.cpp(41) : error C2440: '<function-style-cast>' : cannot convert from 'WebCore::FloatRect' to 'CGRect'
7>        No constructor could take the source type, or constructor overload resolution was ambiguous
7>..\svg\graphics\cg\SVGPaintServerPatternCg.cpp(41) : error C2039: 'getCGImageRef' : is not a member of 'WebCore::Image'
7>        c:\Documents and Settings\mital.v\My Documents\Mital Projects\Webkit\WebKit\WebCore\platform\graphics\Image.h(78) : see declaration of 'WebCore::Image'
7>..\svg\graphics\cg\SVGPaintServerPatternCg.cpp(47) : error C2440: 'initializing' : cannot convert from 'PlatformGraphicsContext *' to 'CGContextRef'
7>        Types pointed to are unrelated; conversion requires reinterpret_cast, C-style cast or function-style cast
7>..\svg\graphics\cg\SVGPaintServerPatternCg.cpp(84) : error C2065: 'm_pattern' : undeclared identifier
7>..\svg\graphics\cg\SVGPaintServerPatternCg.cpp(85) : error C2440: '<function-style-cast>' : cannot convert from 'WebCore::FloatRect' to 'CGRect'
7>        No constructor could take the source type, or constructor overload resolution was ambiguous
7>..\svg\graphics\cg\SVGPaintServerPatternCg.cpp(93) : error C2065: 'm_patternSpace' : undeclared identifier
7>..\svg\graphics\cg\SVGPaintServerPatternCg.cpp(119) : error C2509: 'teardown' : member function not declared in 'WebCore::SVGPaintServerPattern'
7>        c:\Documents and Settings\mital.v\My Documents\Mital Projects\Webkit\WebKit\WebCore\svg\graphics\SVGPaintServerPattern.h(45) : see declaration of 'WebCore::SVGPaintServerPattern'
7>SVGPaintServerGradientCg.cpp
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(44) : error C2039: 'SharedStopCache' : is not a member of 'WebCore::SVGPaintServerGradient'
7>        c:\documents and settings\mital.v\my documents\mital projects\webkit\webkit\webcore\svg\graphics\SVGPaintServerGradient.h(57) : see declaration of 'WebCore::SVGPaintServerGradient'
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(44) : error C2061: syntax error : identifier 'SharedStopCache'
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(47) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(47) : error C2143: syntax error : missing ',' before '*'
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(49) : error C2039: 'SharedStopCache' : is not a member of 'WebCore::SVGPaintServerGradient'
7>        c:\documents and settings\mital.v\my documents\mital projects\webkit\webkit\webcore\svg\graphics\SVGPaintServerGradient.h(57) : see declaration of 'WebCore::SVGPaintServerGradient'
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(49) : error C2065: 'SharedStopCache' : undeclared identifier
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(49) : error C2065: 'stopsCache' : undeclared identifier
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(49) : error C2039: 'SharedStopCache' : is not a member of 'WebCore::SVGPaintServerGradient'
7>        c:\documents and settings\mital.v\my documents\mital projects\webkit\webkit\webcore\svg\graphics\SVGPaintServerGradient.h(57) : see declaration of 'WebCore::SVGPaintServerGradient'
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(49) : error C2061: syntax error : identifier 'SharedStopCache'
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(51) : error C2039: 'QuartzGradientStop' : is not a member of 'WebCore::SVGPaintServerGradient'
7>        c:\documents and settings\mital.v\my documents\mital projects\webkit\webkit\webcore\svg\graphics\SVGPaintServerGradient.h(57) : see declaration of 'WebCore::SVGPaintServerGradient'
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(51) : error C2065: 'QuartzGradientStop' : undeclared identifier
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(51) : error C2065: 'stops' : undeclared identifier
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(51) : error C2227: left of '->m_stops' must point to class/struct/union/generic type
7>        type is ''unknown-type''
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(51) : error C2228: left of '.data' must have class/struct/union
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(53) : error C2227: left of '->m_stops' must point to class/struct/union/generic type
7>        type is ''unknown-type''
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(53) : error C2228: left of '.size' must have class/struct/union
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(55) : error C2146: syntax error : missing ';' before identifier 'inValue'
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(55) : error C2065: 'inValue' : undeclared identifier
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(55) : error C2065: 'inValues' : undeclared identifier
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(58) : error C2065: 'outColor' : undeclared identifier
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(64) : error C2228: left of '.colorArray' must have class/struct/union
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(68) : error C2228: left of '.offset' must have class/struct/union
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(69) : error C2228: left of '.colorArray' must have class/struct/union
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(70) : error C2228: left of '.offset' must have class/struct/union
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(71) : error C2228: left of '.colorArray' must have class/struct/union
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(74) : error C2228: left of '.offset' must have class/struct/union
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(74) : fatal error C1903: unable to recover from previous error(s); stopping compilation
7>SVGPaintServerCg.cpp
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(49) : error C2065: 'CGContextRef' : undeclared identifier
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(49) : error C2146: syntax error : missing ';' before identifier 'contextRef'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(49) : error C2065: 'contextRef' : undeclared identifier
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(52) : error C3861: 'fillPath': identifier not found
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(55) : error C3861: 'strokePath': identifier not found
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(58) : error C2039: 'strokePath' : is not a member of 'WebCore::SVGPaintServer'
7>        c:\Documents and Settings\mital.v\My Documents\Mital Projects\Webkit\WebKit\WebCore\svg\graphics\SVGPaintServer.h(59) : see declaration of 'WebCore::SVGPaintServer'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(58) : error C2146: syntax error : missing ')' before identifier 'context'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(58) : error C2182: 'strokePath' : illegal use of type 'void'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(58) : error C2059: syntax error : ')'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(59) : error C2143: syntax error : missing ';' before '{'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(59) : error C2447: '{' : missing function header (old-style formal list?)
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(63) : error C2039: 'clipToStrokePath' : is not a member of 'WebCore::SVGPaintServer'
7>        c:\Documents and Settings\mital.v\My Documents\Mital Projects\Webkit\WebKit\WebCore\svg\graphics\SVGPaintServer.h(59) : see declaration of 'WebCore::SVGPaintServer'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(63) : error C2146: syntax error : missing ')' before identifier 'context'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(63) : error C2182: 'clipToStrokePath' : illegal use of type 'void'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(63) : error C2059: syntax error : ')'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(64) : error C2143: syntax error : missing ';' before '{'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(64) : error C2447: '{' : missing function header (old-style formal list?)
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(69) : error C2039: 'fillPath' : is not a member of 'WebCore::SVGPaintServer'
7>        c:\Documents and Settings\mital.v\My Documents\Mital Projects\Webkit\WebKit\WebCore\svg\graphics\SVGPaintServer.h(59) : see declaration of 'WebCore::SVGPaintServer'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(69) : error C2146: syntax error : missing ')' before identifier 'context'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(69) : error C2182: 'fillPath' : illegal use of type 'void'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(69) : error C2059: syntax error : ')'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(70) : error C2143: syntax error : missing ';' before '{'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(70) : error C2447: '{' : missing function header (old-style formal list?)
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(77) : error C2039: 'clipToFillPath' : is not a member of 'WebCore::SVGPaintServer'
7>        c:\Documents and Settings\mital.v\My Documents\Mital Projects\Webkit\WebKit\WebCore\svg\graphics\SVGPaintServer.h(59) : see declaration of 'WebCore::SVGPaintServer'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(77) : error C2146: syntax error : missing ')' before identifier 'context'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(77) : error C2182: 'clipToFillPath' : illegal use of type 'void'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(77) : error C2059: syntax error : ')'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(78) : error C2143: syntax error : missing ';' before '{'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(78) : error C2447: '{' : missing function header (old-style formal list?)
7>RenderPathCg.cpp
7>..\svg\graphics\cg\RenderPathCg.cpp(60) : error C2440: 'initializing' : cannot convert from 'PlatformPath *' to 'WebCore::CGMutablePathRef'
7>        Types pointed to are unrelated; conversion requires reinterpret_cast, C-style cast or function-style cast
7>..\svg\graphics\cg\RenderPathCg.cpp(68) : error C2664: 'WebCore::GraphicsContext::GraphicsContext(PlatformGraphicsContext *)' : cannot convert parameter 1 from 'CGContextRef' to 'PlatformGraphicsContext *'
7>        Types pointed to are unrelated; conversion requires reinterpret_cast, C-style cast or function-style cast
7>..\svg\graphics\cg\RenderPathCg.cpp(71) : error C2664: 'CGContextPathContainsPoint' : cannot convert parameter 2 from 'const WebCore::FloatPoint' to 'CGPoint'
7>        No user-defined-conversion operator available that can perform this conversion, or the operator cannot be called
7>CgSupport.cpp
7>..\svg\graphics\cg\CgSupport.cpp(72) : error C2440: 'initializing' : cannot convert from 'PlatformPath *' to 'CGPathRef'
7>        Types pointed to are unrelated; conversion requires reinterpret_cast, C-style cast or function-style cast
7>..\svg\graphics\cg\CgSupport.cpp(80) : error C2664: 'WebCore::GraphicsContext::GraphicsContext(PlatformGraphicsContext *)' : cannot convert parameter 1 from 'CGContextRef' to 'PlatformGraphicsContext *'
7>        Types pointed to are unrelated; conversion requires reinterpret_cast, C-style cast or function-style cast
7>..\svg\graphics\cg\CgSupport.cpp(94) : error C2440: '<function-style-cast>' : cannot convert from 'CGRect' to 'WebCore::FloatRect'
7>        No constructor could take the source type, or constructor overload resolution was ambiguous
7>SVGResourceMasker.cpp
7>SVGResourceMarker.cpp

Comment 5 Mital Vora 2008-11-15 06:07:07 PST
(In reply to comment #4)
The errors I am getting in revision: 38420 which is compiling in Release build but not compiling in Release_cairo build.

-------------
7>Compiling...
7>SVGResourceFilterCg.cpp
7>SVGResourceClipperCg.cpp
7>..\svg\graphics\cg\SVGResourceClipperCg.cpp(65) : error C2440: 'initializing' : cannot convert from 'PlatformGraphicsContext *' to 'CGContextRef'
7>        Types pointed to are unrelated; conversion requires reinterpret_cast, C-style cast or function-style cast
7>SVGPaintServerSolidCg.cpp
7>SVGPaintServerPatternCg.cpp
7>..\svg\graphics\cg\SVGPaintServerPatternCg.cpp(41) : error C2440: '<function-style-cast>' : cannot convert from 'WebCore::FloatRect' to 'CGRect'
7>        No constructor could take the source type, or constructor overload resolution was ambiguous
7>..\svg\graphics\cg\SVGPaintServerPatternCg.cpp(41) : error C2039: 'getCGImageRef' : is not a member of 'WebCore::Image'
7>        c:\Documents and Settings\mital.v\My Documents\Mital Projects\Webkit\WebKit\WebCore\platform\graphics\Image.h(78) : see declaration of 'WebCore::Image'
7>..\svg\graphics\cg\SVGPaintServerPatternCg.cpp(47) : error C2440: 'initializing' : cannot convert from 'PlatformGraphicsContext *' to 'CGContextRef'
7>        Types pointed to are unrelated; conversion requires reinterpret_cast, C-style cast or function-style cast
7>..\svg\graphics\cg\SVGPaintServerPatternCg.cpp(84) : error C2065: 'm_pattern' : undeclared identifier
7>..\svg\graphics\cg\SVGPaintServerPatternCg.cpp(85) : error C2440: '<function-style-cast>' : cannot convert from 'WebCore::FloatRect' to 'CGRect'
7>        No constructor could take the source type, or constructor overload resolution was ambiguous
7>..\svg\graphics\cg\SVGPaintServerPatternCg.cpp(93) : error C2065: 'm_patternSpace' : undeclared identifier
7>..\svg\graphics\cg\SVGPaintServerPatternCg.cpp(119) : error C2509: 'teardown' : member function not declared in 'WebCore::SVGPaintServerPattern'
7>        c:\Documents and Settings\mital.v\My Documents\Mital Projects\Webkit\WebKit\WebCore\svg\graphics\SVGPaintServerPattern.h(45) : see declaration of 'WebCore::SVGPaintServerPattern'
7>SVGPaintServerGradientCg.cpp
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(44) : error C2039: 'SharedStopCache' : is not a member of 'WebCore::SVGPaintServerGradient'
7>        c:\documents and settings\mital.v\my documents\mital projects\webkit\webkit\webcore\svg\graphics\SVGPaintServerGradient.h(57) : see declaration of 'WebCore::SVGPaintServerGradient'
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(44) : error C2061: syntax error : identifier 'SharedStopCache'
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(47) : error C4430: missing type specifier - int assumed. Note: C++ does not support default-int
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(47) : error C2143: syntax error : missing ',' before '*'
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(49) : error C2039: 'SharedStopCache' : is not a member of 'WebCore::SVGPaintServerGradient'
7>        c:\documents and settings\mital.v\my documents\mital projects\webkit\webkit\webcore\svg\graphics\SVGPaintServerGradient.h(57) : see declaration of 'WebCore::SVGPaintServerGradient'
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(49) : error C2065: 'SharedStopCache' : undeclared identifier
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(49) : error C2065: 'stopsCache' : undeclared identifier
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(49) : error C2039: 'SharedStopCache' : is not a member of 'WebCore::SVGPaintServerGradient'
7>        c:\documents and settings\mital.v\my documents\mital projects\webkit\webkit\webcore\svg\graphics\SVGPaintServerGradient.h(57) : see declaration of 'WebCore::SVGPaintServerGradient'
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(49) : error C2061: syntax error : identifier 'SharedStopCache'
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(51) : error C2039: 'QuartzGradientStop' : is not a member of 'WebCore::SVGPaintServerGradient'
7>        c:\documents and settings\mital.v\my documents\mital projects\webkit\webkit\webcore\svg\graphics\SVGPaintServerGradient.h(57) : see declaration of 'WebCore::SVGPaintServerGradient'
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(51) : error C2065: 'QuartzGradientStop' : undeclared identifier
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(51) : error C2065: 'stops' : undeclared identifier
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(51) : error C2227: left of '->m_stops' must point to class/struct/union/generic type
7>        type is ''unknown-type''
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(51) : error C2228: left of '.data' must have class/struct/union
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(53) : error C2227: left of '->m_stops' must point to class/struct/union/generic type
7>        type is ''unknown-type''
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(53) : error C2228: left of '.size' must have class/struct/union
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(55) : error C2146: syntax error : missing ';' before identifier 'inValue'
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(55) : error C2065: 'inValue' : undeclared identifier
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(55) : error C2065: 'inValues' : undeclared identifier
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(58) : error C2065: 'outColor' : undeclared identifier
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(64) : error C2228: left of '.colorArray' must have class/struct/union
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(68) : error C2228: left of '.offset' must have class/struct/union
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(69) : error C2228: left of '.colorArray' must have class/struct/union
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(70) : error C2228: left of '.offset' must have class/struct/union
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(71) : error C2228: left of '.colorArray' must have class/struct/union
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(74) : error C2228: left of '.offset' must have class/struct/union
7>..\svg\graphics\cg\SVGPaintServerGradientCg.cpp(74) : fatal error C1903: unable to recover from previous error(s); stopping compilation
7>SVGPaintServerCg.cpp
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(49) : error C2065: 'CGContextRef' : undeclared identifier
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(49) : error C2146: syntax error : missing ';' before identifier 'contextRef'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(49) : error C2065: 'contextRef' : undeclared identifier
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(52) : error C3861: 'fillPath': identifier not found
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(55) : error C3861: 'strokePath': identifier not found
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(58) : error C2039: 'strokePath' : is not a member of 'WebCore::SVGPaintServer'
7>        c:\Documents and Settings\mital.v\My Documents\Mital Projects\Webkit\WebKit\WebCore\svg\graphics\SVGPaintServer.h(59) : see declaration of 'WebCore::SVGPaintServer'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(58) : error C2146: syntax error : missing ')' before identifier 'context'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(58) : error C2182: 'strokePath' : illegal use of type 'void'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(58) : error C2059: syntax error : ')'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(59) : error C2143: syntax error : missing ';' before '{'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(59) : error C2447: '{' : missing function header (old-style formal list?)
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(63) : error C2039: 'clipToStrokePath' : is not a member of 'WebCore::SVGPaintServer'
7>        c:\Documents and Settings\mital.v\My Documents\Mital Projects\Webkit\WebKit\WebCore\svg\graphics\SVGPaintServer.h(59) : see declaration of 'WebCore::SVGPaintServer'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(63) : error C2146: syntax error : missing ')' before identifier 'context'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(63) : error C2182: 'clipToStrokePath' : illegal use of type 'void'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(63) : error C2059: syntax error : ')'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(64) : error C2143: syntax error : missing ';' before '{'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(64) : error C2447: '{' : missing function header (old-style formal list?)
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(69) : error C2039: 'fillPath' : is not a member of 'WebCore::SVGPaintServer'
7>        c:\Documents and Settings\mital.v\My Documents\Mital Projects\Webkit\WebKit\WebCore\svg\graphics\SVGPaintServer.h(59) : see declaration of 'WebCore::SVGPaintServer'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(69) : error C2146: syntax error : missing ')' before identifier 'context'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(69) : error C2182: 'fillPath' : illegal use of type 'void'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(69) : error C2059: syntax error : ')'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(70) : error C2143: syntax error : missing ';' before '{'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(70) : error C2447: '{' : missing function header (old-style formal list?)
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(77) : error C2039: 'clipToFillPath' : is not a member of 'WebCore::SVGPaintServer'
7>        c:\Documents and Settings\mital.v\My Documents\Mital Projects\Webkit\WebKit\WebCore\svg\graphics\SVGPaintServer.h(59) : see declaration of 'WebCore::SVGPaintServer'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(77) : error C2146: syntax error : missing ')' before identifier 'context'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(77) : error C2182: 'clipToFillPath' : illegal use of type 'void'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(77) : error C2059: syntax error : ')'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(78) : error C2143: syntax error : missing ';' before '{'
7>..\svg\graphics\cg\SVGPaintServerCg.cpp(78) : error C2447: '{' : missing function header (old-style formal list?)
7>RenderPathCg.cpp
7>..\svg\graphics\cg\RenderPathCg.cpp(60) : error C2440: 'initializing' : cannot convert from 'PlatformPath *' to 'WebCore::CGMutablePathRef'
7>        Types pointed to are unrelated; conversion requires reinterpret_cast, C-style cast or function-style cast
7>..\svg\graphics\cg\RenderPathCg.cpp(68) : error C2664: 'WebCore::GraphicsContext::GraphicsContext(PlatformGraphicsContext *)' : cannot convert parameter 1 from 'CGContextRef' to 'PlatformGraphicsContext *'
7>        Types pointed to are unrelated; conversion requires reinterpret_cast, C-style cast or function-style cast
7>..\svg\graphics\cg\RenderPathCg.cpp(71) : error C2664: 'CGContextPathContainsPoint' : cannot convert parameter 2 from 'const WebCore::FloatPoint' to 'CGPoint'
7>        No user-defined-conversion operator available that can perform this conversion, or the operator cannot be called
7>CgSupport.cpp
7>..\svg\graphics\cg\CgSupport.cpp(72) : error C2440: 'initializing' : cannot convert from 'PlatformPath *' to 'CGPathRef'
7>        Types pointed to are unrelated; conversion requires reinterpret_cast, C-style cast or function-style cast
7>..\svg\graphics\cg\CgSupport.cpp(80) : error C2664: 'WebCore::GraphicsContext::GraphicsContext(PlatformGraphicsContext *)' : cannot convert parameter 1 from 'CGContextRef' to 'PlatformGraphicsContext *'
7>        Types pointed to are unrelated; conversion requires reinterpret_cast, C-style cast or function-style cast
7>..\svg\graphics\cg\CgSupport.cpp(94) : error C2440: '<function-style-cast>' : cannot convert from 'CGRect' to 'WebCore::FloatRect'
7>        No constructor could take the source type, or constructor overload resolution was ambiguous
7>SVGResourceMasker.cpp

-------------

Comment 6 Brent Fulgham 2008-11-21 22:32:41 PST
(In reply to comment #5)

These errors all indicate that the build process is attempting to compile the CG source elements.  I find this confusing, because the VS project is segregated such that the Debug_Cairo/Release_Cairo does not compile any of the CG-based files.  The fact that they show up in your build log indicate that the wrong target is being used.

Are you building with the VS project, or via the command line tool?
Comment 7 Brent Fulgham 2008-12-14 22:03:31 PST
This patch was already committed in r38343.

Closing as complete.  If a new build error has cropped up, let's open a new bug please.